ata_hsm_move
Prev | Chapter 4. libata Library | Next

## Name

ata_hsm_move — move the HSM to the next state.

## Synopsis

`int ata_hsm_move (` | struct ata_port * | ap,
| struct ata_queued_cmd * | qc,
| u8 | status,
| int | in_wq`)`;

## Arguments

`ap`

  the target ata_port

`qc`

  qc on going

`status`

  current device status

`in_wq`

  1 if called from workqueue, 0 otherwise

## RETURNS

1 when poll next status needed, 0 otherwise.

Prev | Up | Next
ata_data_xfer_noirq | Home | ata_qc_complete